Summary:	Utility to clean up & pretty print html files
Summary(es):	Utilidad para limpiar, adecentar y corregir cdigo html 
Name:		tidy
Version:	020718
Serial:		1
Release:	1
Group:		Utilities/Text
Copyright:	BSD Style
URL:		http://tidy.sourceforge.net/
Source0:	http://tidy.sourceforge.net/src/%{name}_src_%{version}.tgz
Source1:	http://tidy.sourceforge.net/docs/%{name}_docs_000804.tgz
Source2:	%{name}-quickref.tar.gz
Patch:		%{name}-020719-makefile.patch
Patch1:		%{name}-%{version}-docbook.patch
Prefix:		%{_prefix}
BuildRoot:	%{_tmppath}/%{name}-%{version}-root

%description
When editing HTML it's easy to make mistakes. Wouldn't it be nice if there was
a simple way to fix these mistakes automatically and tidy up sloppy editing
into nicely layed out markup? Well now there is! Dave Raggett's HTML TIDY is a
free utility for doing just that. It also works great on the atrociously hard
to read markup generated by specialized HTML editors and conversion tools, and
can help you identify where you need to pay further attention on making your
pages more accessible to people with disabilities.

This is a TIDY hacked version for filtering HTML into Docbook.

%description -l es
Al editar cdigo HTML es fcil cometer errores. No sera bonito si
hubiera una sencilla forma de corregir esos errores automticamente y
limpiar en bnito cdigo ese tan guarrete que nos queda? Helo aqu!
HTML TIDY de Dave Raggett es una utilidad libre (y gratis) para hacer
exactamente esto. Adems funciona estupendamente con ficheros
fastidiadamente duros de leer creados por algunos editores HTML
especializados y herramientas de conversin e indicarle a qu debe
atender para hacer sus pginas ms accesible a gente con
discapacidades.

Esta versin adems est modificada para generar cdigo Docbook a
partir de ficheros HTML.

%prep
%setup -q -n %{name} -b 1 -a 2
%patch
%patch1 -p0

%build
make OTHERCFLAGS="${RPM_OPT_FLAGS}"

%install
rm -rf ${RPM_BUILD_ROOT}
make INSTALLDIR=${RPM_BUILD_ROOT}%{prefix}/ MANPAGESDIR=${RPM_BUILD_ROOT}%{_mandir}/ install

%clean
rm -rf ${RPM_BUILD_ROOT}

%files
%defattr(-,root,root)
%doc quickref.html
%doc %{_mandir}/man1/*
%{prefix}/bin/tidy

%changelog
* Mon Feb 18 2002 Dimitri Papadopoulos <dpo@club-internet.fr>
- Update to version 6 February, 2002.

* Wed Jan 23 2002 Dimitri Papadopoulos <dpo@club-internet.fr>
- Work around RPM bugs.

* Wed Jan 23 2002 Dimitri Papadopoulos <dpo@club-internet.fr>
- Upgrade from Dave Ragget's 4aug00 version to new SourceForge version.
